<?php
namespace edu\wisc\services\cbs\api;

use edu\wisc\services\cbs\common\ServiceResponseInterface;

/**
 * A mock implementation of a CBS service.
 */
interface MockService extends Service
{

    /**
     * Creates a mock implementation of a {@link Service}.
     *
     * Service will respond with the given {@link ServiceResponseInterface}, or a successful response if one is not
     * given.
     * @param ServiceResponseInterface|null $response  defaults to successful if null
     */
    public function __construct(ServiceResponseInterface $response = null);
}
